Index: pjproject/branches/projects/vs-reorg/pjproject-vs8.sln
===================================================================
--- pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2636)
+++ pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2637)
@@ -1719,6 +1565,4 @@
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug|Mixed Platforms.ActiveCfg = Debug|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug|Mixed Platforms.Build.0 = Debug|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Win32
@@ -1728,6 +1572,4 @@
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Dynamic|Mixed Platforms.Build.0 = Debug-Dynamic|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Win32
@@ -1737,6 +1579,4 @@
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Static|Mixed Platforms.Build.0 = Debug-Static|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Static|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Static|Win32
@@ -1746,6 +1586,4 @@
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug-Static|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Static|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release|Mixed Platforms.ActiveCfg = Release|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release|Mixed Platforms.Build.0 = Release|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release|Smartphone 2003 (ARMV4).ActiveCfg = Release|Win32
@@ -1755,6 +1593,4 @@
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Dynamic|Mixed Platforms.Build.0 = Release-Dynamic|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Dynamic|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release-Dynamic|Win32
@@ -1764,6 +1600,4 @@
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release-Dynamic|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release-Dynamic|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Static|Mixed Platforms.ActiveCfg = Release-Static|Win32
-		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Static|Mixed Platforms.Build.0 = Release-Static|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Static|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release-Static|Win32
@@ -1773,5 +1607,4 @@
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release-Static|Win32
 		{E378A1FC-0C9C-4462-860F-7E60BC1BF84E}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release-Static|Win32
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Mixed Platforms.ActiveCfg = Debug|Win32
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1785,5 +1618,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Win32
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1797,5 +1629,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Win32
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1809,5 +1640,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Professional SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1821,5 +1651,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1833,5 +1662,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Mixed Platforms.ActiveCfg = Release-Static|Windows Mobile 6 Professional SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1845,7 +1673,4 @@
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{B3F7D4E9-702F-4EB4-ADA8-098D0A83D770}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Mixed Platforms.ActiveCfg = Debug|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Mixed Platforms.Build.0 = Debug|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Mixed Platforms.Deploy.0 = Debug|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Pocket PC 2003 (ARMV4)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Pocket PC 2003 (ARMV4).Build.0 = Debug|Pocket PC 2003 (ARMV4)
@@ -1860,7 +1685,4 @@
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Windows Mobile 6 Professional SDK (ARMV4I).Deploy.0 = Debug|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Mixed Platforms.Build.0 = Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Mixed Platforms.Deploy.0 = Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Pocket PC 2003 (ARMV4)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Pocket PC 2003 (ARMV4).Build.0 = Debug-Dynamic|Pocket PC 2003 (ARMV4)
@@ -1875,7 +1697,4 @@
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).Deploy.0 = Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Mixed Platforms.Build.0 = Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Mixed Platforms.Deploy.0 = Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Static|Pocket PC 2003 (ARMV4)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Pocket PC 2003 (ARMV4).Build.0 = Debug-Static|Pocket PC 2003 (ARMV4)
@@ -1890,7 +1709,4 @@
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I).Deploy.0 = Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Mixed Platforms.Build.0 = Release|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Mixed Platforms.Deploy.0 = Release|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Pocket PC 2003 (ARMV4)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Pocket PC 2003 (ARMV4).Build.0 = Release|Pocket PC 2003 (ARMV4)
@@ -1905,7 +1721,4 @@
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Windows Mobile 6 Professional SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Mixed Platforms.Build.0 = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Mixed Platforms.Deploy.0 = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Dynamic|Pocket PC 2003 (ARMV4)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Pocket PC 2003 (ARMV4).Build.0 = Release-Dynamic|Pocket PC 2003 (ARMV4)
@@ -1920,7 +1733,4 @@
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).Deploy.0 = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Mixed Platforms.Build.0 = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Mixed Platforms.Deploy.0 = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Dynamic|Pocket PC 2003 (ARMV4)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Pocket PC 2003 (ARMV4).Build.0 = Release-Dynamic|Pocket PC 2003 (ARMV4)
@@ -1933,5 +1743,4 @@
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Windows Mobile 6 Professional SDK (ARMV4I).Deploy.0 = Release-Static|Windows Mobile 6 Professional SDK (ARMV4I)
 		{48450961-D0DF-4B59-BD8D-39455AA02DF8}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
-		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Mixed Platforms.ActiveCfg = Debug|Windows Mobile 6 Professional SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Pocket PC 2003 (ARMV4)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Pocket PC 2003 (ARMV4).Build.0 = Debug|Pocket PC 2003 (ARMV4)
@@ -1948,5 +1757,4 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
-		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1959,5 +1767,4 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1970,5 +1777,4 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Professional SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Pocket PC 2003 (ARMV4)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Pocket PC 2003 (ARMV4).Build.0 = Release|Pocket PC 2003 (ARMV4)
@@ -1985,5 +1791,4 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
-		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1996,5 +1801,4 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
-		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Static|Mixed Platforms.ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
Index: pjproject/branches/projects/vs-reorg/pjsip-apps/build/Samples-vc.mak
===================================================================
--- pjproject/branches/projects/vs-reorg/pjsip-apps/build/Samples-vc.mak	(revision 2636)
+++ pjproject/branches/projects/vs-reorg/pjsip-apps/build/Samples-vc.mak	(revision 2637)
@@ -2,15 +2,15 @@
 LIBEXT = .lib
 
+TARGET = i386-win32-vs$(VC_VER)-$(BUILD_MODE)
+
 !if "$(BUILD_MODE)" == "debug"
-TARGET = i386-win32-vc$(VC_VER)-debug
+BUILD_FLAGS = /MTd /Od /Zi /W4
+!elseif "$(BUILD_MODE)" == "debug-static"
 BUILD_FLAGS = /MTd /Od /Zi /W4
 !elseif "$(BUILD_MODE)" == "debug-dynamic"
-TARGET = i386-win32-vc$(VC_VER)-debug
 BUILD_FLAGS = /MDd /Od /Zi /W4
 !elseif "$(BUILD_MODE)" == "release-static"
-TARGET = i386-win32-vc$(VC_VER)-release
 BUILD_FLAGS = /Ox /MT /DNDEBUG /W4
-!else
-TARGET = i386-win32-vc$(VC_VER)-$(BUILD_MODE)
+!elseif "$(BUILD_MODE)" == "release-dynamic"
 BUILD_FLAGS = /Ox /MD /DNDEBUG /W4
 !endif
@@ -87,5 +87,7 @@
 $(SAMPLES): $(SRCDIR)\$(@B).c $(LIBS) $(SRCDIR)\util.h Samples-vc.mak
 	cl -nologo -c $(SRCDIR)\$(@B).c /Fo$(OBJDIR)\$(@B).obj $(CFLAGS) 
-	cl /nologo $(OBJDIR)\$(@B).obj /Fe$@ /Fm$(OBJDIR)\$(@B).map $(LDFLAGS)
+	cl /nologo $(OBJDIR)\$(@B).obj /Fe$(BINDIR)\$(@B)-$(TARGET).exe /Fm$(OBJDIR)\$(@B).map $(LDFLAGS)
+	@rem del /Q $(BINDIR)\*$(TARGET).ilk
+	@rem del /Q $(BINDIR)\*$(TARGET).pdb
 
 $(OBJDIR):
@@ -94,5 +96,5 @@
 clean:
 	echo Cleaning up samples...
-	if exist $(BINDIR) del /Q $(BINDIR)\*.*
+	if exist $(BINDIR) del /Q $(BINDIR)\*$(TARGET).*
 	if exist $(OBJDIR) del /Q $(OBJDIR)\*.*
 
Index: pjproject/branches/projects/vs-reorg/pjsip-apps/build/samples.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjsip-apps/build/samples.vcproj	(revision 2636)
+++ pjproject/branches/projects/vs-reorg/pjsip-apps/build/samples.vcproj	(revision 2637)
@@ -18,10 +18,11 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory="./output/samples-i386-win32-vc8-release"
-			IntermediateDirectory="$(OutDir)"
-			ConfigurationType="0"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
+			OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs8-$(ConfigurationName)"
+			IntermediateDirectory="$(OutDir)"
+			ConfigurationType="0"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			BuildLogFile=""
 			>
 			<Tool
@@ -41,10 +42,11 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory="./output/samples-i386-win32-vc8-debug"
-			IntermediateDirectory="./output/samples-i386-win32-vc8-debug"
-			ConfigurationType="0"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
+			OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs8-$(ConfigurationName)"
+			IntermediateDirectory="$(OutDir)"
+			ConfigurationType="0"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			BuildLogFile=""
 			>
 			<Tool
@@ -64,16 +66,17 @@
 		<Configuration
 			Name="Debug-Static|Win32"
-			OutputDirectory="$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
-			ConfigurationType="0"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			>
-			<Tool
-				Name="VCNMakeTool"
-				BuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=debug VC_VER=8"
-				ReBuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=debug VC_VER=8 /a"
-				CleanCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=debug VC_VER=8 clean"
+			OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs8-$(ConfigurationName)"
+			IntermediateDirectory="$(OutDir)"
+			ConfigurationType="0"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			BuildLogFile=""
+			>
+			<Tool
+				Name="VCNMakeTool"
+				BuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=debug-static VC_VER=8"
+				ReBuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=debug-static VC_VER=8 /a"
+				CleanCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=debug-static VC_VER=8 clean"
 				Output="All samples"
 				PreprocessorDefinitions=""
@@ -87,16 +90,17 @@
 		<Configuration
 			Name="Release-Dynamic|Win32"
-			OutputDirectory="$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
-			ConfigurationType="0"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			>
-			<Tool
-				Name="VCNMakeTool"
-				BuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=release VC_VER=8"
-				ReBuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=release VC_VER=8 /a"
-				CleanCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=release VC_VER=8 clean"
+			OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs8-$(ConfigurationName)"
+			IntermediateDirectory="$(OutDir)"
+			ConfigurationType="0"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			BuildLogFile=""
+			>
+			<Tool
+				Name="VCNMakeTool"
+				BuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=release-dynamic VC_VER=8"
+				ReBuildCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=release-dynamic VC_VER=8 /a"
+				CleanCommandLine="nmake /NOLOGO /S /f Samples-vc.mak BUILD_MODE=release-dynamic VC_VER=8 clean"
 				Output="All samples"
 				PreprocessorDefinitions=""
@@ -110,10 +114,11 @@
 		<Configuration
 			Name="Debug-Dynamic|Win32"
-			OutputDirectory="$(ConfigurationName)"
-			IntermediateDirectory="$(ConfigurationName)"
-			ConfigurationType="0"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
+			OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs8-$(ConfigurationName)"
+			IntermediateDirectory="$(OutDir)"
+			ConfigurationType="0"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			BuildLogFile=""
 			>
 			<Tool
@@ -133,10 +138,11 @@
 		<Configuration
 			Name="Release-Static|Win32"
-			OutputDirectory="$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
-			ConfigurationType="0"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
+			OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs8-$(ConfigurationName)"
+			IntermediateDirectory="$(OutDir)"
+			ConfigurationType="0"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			BuildLogFile=""
 			>
 			<Tool
